package cn.com.poc.equity.domain;

import cn.com.poc.equity.constants.EquityEnum;

import java.util.Date;

/**
 * @author alex.yao
 * @date 2024/12/6
 */
public class MemberEquityInfo {

    private EquityEnum.TYPE equityLevel;

    private Date expiredDate;

    private Integer agentNum;

    private Integer usedAgentNum;

    private Integer knowledgeNum;

    private Integer usedKnowledgeNum;

    public EquityEnum.TYPE getEquityLevel() {
        return equityLevel;
    }

    public void setEquityLevel(EquityEnum.TYPE equityLevel) {
        this.equityLevel = equityLevel;
    }

    public Date getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(Date expiredDate) {
        this.expiredDate = expiredDate;
    }

    public Integer getAgentNum() {
        return agentNum;
    }

    public void setAgentNum(Integer agentNum) {
        this.agentNum = agentNum;
    }

    public Integer getKnowledgeNum() {
        return knowledgeNum;
    }

    public void setKnowledgeNum(Integer knowledgeNum) {
        this.knowledgeNum = knowledgeNum;
    }

    public Integer getUsedAgentNum() {
        return usedAgentNum;
    }

    public void setUsedAgentNum(Integer usedAgentNum) {
        this.usedAgentNum = usedAgentNum;
    }

    public Integer getUsedKnowledgeNum() {
        return usedKnowledgeNum;
    }

    public void setUsedKnowledgeNum(Integer usedKnowledgeNum) {
        this.usedKnowledgeNum = usedKnowledgeNum;
    }
}
